//
//  BoosterActiveHeaderView.swift
//
//
//  Created by Victor on 19/06/2024.
//

import SwiftUI

struct BoosterActiveHeaderView: View {
    
    var body: some View {
        VStack {
            Image("booster_logo")
                .resizable()
                .frame(width: 93, height: 80)
            VStack {
                SQText("Booster en cours", size: 18, font: .bold)
                    .foregroundColor(.sqRoyal())
                SQText("Aujourd’hui", size: 14)
            }
        }
        .padding()
        .frame(maxWidth: .infinity)
        .overlay(
            ZStack(alignment: .topLeading) {
                Image("booster_corner")
                    .resizable()
                    .frame(width: 50, height: 50)
                    .cornerRadius(8, corners: [.topLeft])
                RoundedRectangle(cornerRadius: 8)
                    .stroke(Color.sqRoyal(), lineWidth: 2.0)
            }
        )
    }
}

#Preview {
    BoosterActiveHeaderView()
}
